1. Pos Fee Profile
Corpayss
  • API Changelog
  • Acquirer
    • Merchant
      • Create Merchant
      • Get Merchant
      • Update Merchant
      • Search Merchant
    • Terminal
      • Create Terminal
      • Get Terminal
      • Update Terminal
      • Search Terminal
    • Deprecated - Commission Profile
      • Create Commission Profile
      • Get Commission Profile
      • Update Commission Profile
      • Delete Commission Profile
    • Pos Authorization Profile
      • Create Pos Authorization Profile
      • Get Pos Authorization Profile
      • Update Pos Authorization Profile
      • Delete Pos Authorization Profile
    • Pos Fee Profile
      • Create Pos Fee Profile
        POST
      • Get Pos Fee Profile
        POST
      • Update Pos Fee Profile
        POST
      • Delete Pos Fee Profile
        POST
    • Create Merchant and Terminal
      POST
    • Get Merchant Payment Summary
      POST
    • Get Merchant Payment Detail
      POST
    • Get Pos Batch Summary
      POST
    • Get Pos Batch Detail
      POST
    • Close Pos Batch
      POST
  • Issuer
    • Customer
      • Create Customer
      • Get Customer Info
      • Get Card Customer Info
      • Update Customer
      • Update Customer Limit
    • Card
      • Creation & Registration
        • Create Credit Card
        • Create Debit Card
        • Create Prepaid Card
        • Create Emboss Request
        • Register Card
      • Information & Status Management
        • Get Card Info
        • Get Card Status
        • Get Host Balance
        • Update Card Limit
        • Update Card Status
        • Update Card Fee Status
      • Transactions & Balance Operations
        • Get Card Transactions
        • Send Transaction
        • Card To Card Balance Transfer
        • Money Send
        • Load Card Balance
      • Security & Authentication
        • Verify Card
        • Get Card Pin
        • Send PIN By SMS
        • Check Pin
        • Change Card Pin
        • Reset Cvv 2 Retry Count
        • Change 3DS Password
      • Maintenance & Restrictions
        • Get Card Restriction
        • Card Restriction
        • Card Renewal
      • Deprecated
        • Tokenization
          • Tokenize Card No
        • Get Card Balance Loading Limit
        • Get Card No
        • Get Card Private Info
  • Online Payments
    • Card Payments
      • Non-3DS Payments
        • Create Non-3DS Payment
        • Create Non-3DS Pre-Authorization
        • Create Post Authorization
      • 3DS Payments
        • Create 3DS Payment
        • Create 3DS Pre-Authorization
        • Complete 3DS Payment
      • Refunds & Voids
        • Void Payment
        • Refund Payment
    • Payment Links
      • Create 3DS Payment Link
      • Create Non-3DS Payment Link
    • Payment Queries
      • Check Payment by Token
      • Check Payment by Order ID
      • Check Payment by Process ID
      • List Payments by Order ID
    • Recurring Payments
      • Pause Recurring
      • Resume Recurring
      • Reset Plan To Pending
      • Create Recurring
      • Get Recurring
      • Update Recurring
      • Cancel Recurring
    • Batch
      • Batch Close
    • DEPRECATED
      • QR Transaction
        • QR Payment CreateQr
      • Installment Inquiry
      • Point Inquiry
  1. Pos Fee Profile

Get Pos Fee Profile

POST
/api/IntegrationAcquirer/GetPosFeeProfile
This service brings the pos fee profile details.

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://hilarionapi.corpayss.net//api/IntegrationAcquirer/GetPosFeeProfile?profileIdModel.data=undefined' \
--header 'token: 58ff081d-eba7-4e9c-bfab-3cd51792b96d+202501211205'

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Example
{
    "Profile": {
        "needInfo": false,
        "guid": 0,
        "status": 0,
        "lastUpdated": 0,
        "Id": "399831275951289",
        "Name": "TEMPOR IRURE",
        "Type": "M",
        "GetStatementFee": true,
        "StatementFee": 10,
        "GetPosFee": true,
        "GetInactiveFee": true,
        "InactiveFee": 10,
        "GetMemberFee": true,
        "MemberFee": 10,
        "MbrId": 0
    },
    "Details": [
        {
            "needInfo": false,
            "guid": 0,
            "status": 0,
            "lastUpdated": 0,
            "ProfileGuid": 1100000022135197,
            "TermType": "PO",
            "FeeAmount": 10,
            "FeePaymentType": "O"
        },
        {
            "needInfo": false,
            "guid": 0,
            "status": 0,
            "lastUpdated": 0,
            "ProfileGuid": 1100000022135197,
            "TermType": "VP",
            "FeeAmount": 10,
            "FeePaymentType": "M"
        }
    ],
    "JDetails": null,
    "Detail": null
}
Modified at 2026-05-15 10:50:43
Previous
Create Pos Fee Profile
Next
Update Pos Fee Profile
Built with